/*
 * dbtool - a simple but powerfull commandline interface
 *          to the GNU gdbm system, usefull for shellscripts
 *          which needs a database for data storage.
 *
 * Copyright (c) 2001 Thomas Linden, <tom@daemon.de>
 * All Rights Reserved.      Released under the GPL.
 *
 * $Id: cipher.h,v 1.1 2002/02/11 14:33:26 scip Exp $
 */

#ifndef CIPHER_H
#define CIPHER_H

#include <string>
#include <strstream>
#include "rijndael.h"
#include "digest.h"

class cipher {
 private:
  Rijndael rijn;
  MD5Digest dig;
  unsigned char key[32];

  const char* cipher::error(int num);

 public:
  cipher() {};
  ~cipher() {};
  void cipher::init(const string& phrase);
  string encrypt(const string& source);
  string decrypt(const string& source);
};

string get_my_phrase();

#endif
