/*
 * dbtool - a simple but powerfull commandline interface
 *      to the GNU gdbm system, usefull for shellscripts
 *      which needs a database for data storage.
 *
 * Copyright (c) 2001 Thomas Linden, <tom@daemon.de>
 * All Rights Reserved.      Released under the GPL.
 *
 * $Id: config.h,v 1.1 2002/02/11 14:33:26 scip Exp $
 */


#ifndef CONFIG_H
#define CONFIG_H

#include <string>

extern "C" {
#include <unistd.h>
#include <stdlib.h>
}


/*
 * The Config class will hold all flags, modes and other
 * parameters we need for running.
 * methods defined in cmd.cc
 */
class Config {
 private:
  int     _argc;
  char  **_argv;
  string pkg;
  char *default_db;

 public:
  Config();
  void Config::args(int argc, char *argv[]);
  int parse();
  int     force, command, with, reverse, readonly, encrypted;
  string  filename, key, value, usage, token, phrase;
  char    separator;
};


#endif // CONFIG_H
